Loading...
Searching...
No Matches
parser_md_python.c File Reference

GIS Library - Argument parsing functions (Markdown output - Python). More...

`#include <stdbool.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "parser_local_proto.h"`
Include dependency graph for parser_md_python.c:

Go to the source code of this file.

## Functions

void | G__md_print_python_short_version (FILE *file, const char *indent, bool tools_api)
void | G__md_print_python_long_version (FILE *file, const char *indent, bool tools_api)

## Detailed Description

GIS Library - Argument parsing functions (Markdown output - Python).

(C) 2025 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Vaclav Petras

Definition in file parser_md_python.c.

## Function Documentation

## G__md_print_python_long_version()

void G__md_print_python_long_version | ( | FILE * | file,
|  | const char * | indent,
|  | bool | tools_api )

Definition at line 506 of file parser_md_python.c.

References file, G__md_print_escaped(), G__split_gisprompt(), G__uses_new_gisprompt(), G_strncasecmp(), and NULL.

Referenced by G__usage_markdown().

## G__md_print_python_short_version()

void G__md_print_python_short_version | ( | FILE * | file,
|  | const char * | indent,
|  | bool | tools_api )

Definition at line 379 of file parser_md_python.c.

References file, G__md_print_escaped(), G__option_num_tuple_items(), G__uses_new_gisprompt(), G_free(), G_store(), G_strchg(), and NULL.

Referenced by G__usage_markdown().